package com.bocloud.cmp.model.hmc;

import com.alibaba.fastjson.JSONObject;

/**
 * HMC属性中的虚拟SCSI适配器
 *
 * @author lkx007
 */
@Deprecated
public class HmcPartitionScsiAdapterModel {
    /**
     * id
     */
    private Long id;
    /**
     * 适配器的id号
     */
    private Integer adapterId;
    /**
     * 适配器所在分区的partition的平台id
     */
    private Long partitionId;
    /**
     * 适配器所对应的分区的partition的平台id
     */
    private Long remotePartitionId;
    /**
     * 适配器所对应的分区的partition的插槽号
     */
    private Integer remoteSlotNumber;
    /**
     * 适配器类型
     * <p>
     * 暂时只存client类型的适配器
     * <p>
     * Client
     */
    private String type;
    /**
     * 是否必须
     */
    private Boolean isRequired;
    /**
     * 适配器的位置
     * <p>
     * U8203.E4A.10F8563-V6-C4
     */
    private String locationCode;
    /**
     * vios的名称
     */
    private String remotePartitionName;
    /**
     * vios的hmc的id
     */
    private Integer remotePartitionHmcId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Long getRemotePartitionId() {
        return remotePartitionId;
    }

    public void setRemotePartitionId(Long remotePartitionId) {
        this.remotePartitionId = remotePartitionId;
    }

    public Integer getRemoteSlotNumber() {
        return remoteSlotNumber;
    }

    public void setRemoteSlotNumber(Integer remoteSlotNumber) {
        this.remoteSlotNumber = remoteSlotNumber;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getRemotePartitionName() {
        return remotePartitionName;
    }

    public void setRemotePartitionName(String remotePartitionName) {
        this.remotePartitionName = remotePartitionName;
    }

    public Integer getRemotePartitionHmcId() {
        return remotePartitionHmcId;
    }

    public void setRemotePartitionHmcId(Integer remotePartitionHmcId) {
        this.remotePartitionHmcId = remotePartitionHmcId;
    }

    public HmcPartitionScsiAdapterModel() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
